#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x133c4d5f, "module_layout" },
	{ 0xebac8de0, "tcf_em_unregister" },
	{ 0x8d515310, "tcf_em_register" },
	{ 0x448eac3e, "kmemdup" },
	{ 0x1d320ed2, "ip_set_nfnl_get_byindex" },
	{ 0x7c32d0f0, "printk" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0xd7c7b311, "__pskb_pull_tail" },
	{ 0x400d9c1, "dev_get_by_index_rcu" },
	{ 0x6be1949e, "skb_copy_bits" },
	{ 0xa63f2542, "skb_push" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6e4e37d2, "ip_set_test" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x30df9125, "skb_pull" },
	{ 0x37a0cba, "kfree" },
	{ 0x2dbcea9e, "ip_set_nfnl_put" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=ip_set";


MODULE_INFO(srcversion, "5B93674C5C33F2BFA8D5362");
